story10/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('website.urls')),
]

website/urls.py
from django.urls import path, include
from .views import SignUp
from django.views.generic.base import TemplateView

urlpatterns = [
    path('', include('django.contrib.auth.urls')),
    path('', TemplateView.as_view(template_name='index.html'), name='index'),
    path('signup/', SignUp.as_view(), name='signup')
]

website/models.py
from django.db import models

# Create your models here.

website/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User


class SignUpForm(UserCreationForm):
    first_name = forms.CharField(max_length=30, required=False)
    last_name = forms.CharField(max_length=30, required=False)
    email = forms.EmailField(max_length=254, required=False, help_text='Required. Inform a valid email address.')

    class Meta:
        model = User
        fields = ('username', 'first_name', 'last_name', 'email', 'password1', 'password2', )

website/views.py
from django.contrib.auth.forms import UserCreationForm
from django.urls import reverse_lazy
from django.views import generic
from .forms import SignUpForm
# Create your views here.

class SignUp(generic.CreateView):
    form_class = UserCreationForm
    success_url = reverse_lazy('login')
    template_name = 'signup.html'

website/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Story 10</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>
<body>
    {% block content %}
    {% endblock %}
</body>
</html>

website/templates/index.html
{% extends 'base.html' %}

{% block content %}
    {% if user.is_authenticated %}
        <div class="d-flex justify-content-center container">
            <div class="row">
                <div class="col">
                    <h1 class="display-4">Hi, {{ user.username }}</h1>
                    <button class="btn btn-danger"><a id="logout" style="color: inherit;" href="{% url 'logout' %}">logout</a></button>
                </div>
            </div>
        </div>
    {% else %}
    <div class="container">
        <div class="row d-flex justify-content-center container">
            <div class="flex-row">
                <div class="col">
                    <h3 class="h3" style="padding-top: 50px;">You are not logged in</h3>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="container">
        <div class="row d-flex justify-content-center container">
            <button class="btn btn-primary" style="margin: 20px;" onclick="location.href='{% url 'login' %}';">log in</button>
            <button class="btn btn-primary" style="margin: 20px;" id="signup" onclick="location.href='{% url 'signup' %}';">sign up</button>
        </div>
    </div>
                    
    {% endif %}
{% endblock %}

website/templates/signup.html
{% extends 'base.html' %}

{% block content %}
        <h2 style="padding-top:10px ;">Sign up</h2>
        {% if user.is_authenticated %}
        <p>You are already logged in<br>
            You need to log out first</p>
            <button class="btn btn-danger"><a id="logout" href="{% url 'logout' %}">logout</a></button>
        {% else %}
            <form method="post">
                {% csrf_token %}
                <div class="form-group">
                    <label for="id_username">Username:</label>
                    {{ form.username }}
                    <br>
                    <label for="id_password1">Enter password:</label>
                    {{ form.password1 }}
                    <br>
                    <label for="id_password2">Re-enter password:</label>
                    {{ form.password2 }}
                    <br>
                    <label for="id_email">Email:</label>
                    {{ form.email }}
                    <br>
                    <button id="submit" class="btn btn-primary" type="submit">Sign up</button>
                </div>
            </form>
        {% endif %}
{% endblock %}